OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_NodeOfGeneralLib Class Reference

`#include <Interface_NodeOfGeneralLib.hxx>`

## Public Member Functions
Standard_EXPORT | Interface_NodeOfGeneralLib ()
Standard_EXPORT void | AddNode (const Handle(Interface_GlobalNodeOfGeneralLib)&anode)
Standard_EXPORT const Handle_Interface_GeneralModule & | Module () const
Standard_EXPORT const Handle_Interface_Protocol & | Protocol () const
Standard_EXPORT const Handle_Interface_NodeOfGeneralLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Interface_GlobalNodeOfGeneralLib | thenode
Handle_Interface_NodeOfGeneralLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT Interface_NodeOfGeneralLib::Interface_NodeOfGeneralLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_NodeOfGeneralLib::AddNode | ( | const Handle(Interface_GlobalNodeOfGeneralLib)& | anode | ) |

Standard_EXPORT const Interface_NodeOfGeneralLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_Interface_GeneralModule& Interface_NodeOfGeneralLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_Interface_NodeOfGeneralLib& Interface_NodeOfGeneralLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_Interface_Protocol& Interface_NodeOfGeneralLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_Interface_NodeOfGeneralLib Interface_NodeOfGeneralLib::thenext`[private]`

Handle_Interface_GlobalNodeOfGeneralLib Interface_NodeOfGeneralLib::thenode`[private]`

The documentation for this class was generated from the following file:

- Interface_NodeOfGeneralLib.hxx